Create a response

View as Markdown
Creates a request response in a collection. For a complete list of request body properties, refer to the **Response** entry in the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html). **Note:** It is recommended that you pass the `name` property in the request body. If you do not, the system uses a null value. As a result, this creates a response with a blank name.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

collectionIdstringRequired
The collection's ID.

Query parameters

requeststringRequired
The parent request's ID.

Request

This endpoint expects an object.
namestringOptional

The response’s name. It is recommended that you pass the name property in the request body. If you do not, the system uses a null value. As a result, this creates a response with a blank name.

descriptionstring or nullOptional
The response's description.
urlstring or nullOptional
The associated request's URL.
methodenumOptional
The request's HTTP method.
headerslist of objectsOptional
A list of headers.
dataModeenumOptional
The associated request body's data mode.
rawModeDatastring or nullOptional
The associated request body's raw mode data.
dataOptionsobjectOptional
Additional configurations and options set for the request body's various data modes.
responseCodeobjectOptional
The response's HTTP response code information.
statusstring or nullOptional
The response's HTTP status text.
timestringOptional
The time taken by the request to complete, in milliseconds.
cookiesstring or nullOptional
The response's cookie data.
mimestring or nullOptional
The response's MIME type.
textstringOptional
The raw text of the response body.
languagestringOptional
The response body's language type.
rawDataTypestring or nullOptional
The response's raw data type.
requestObjectstringOptional

A JSON-stringified representation of the associated request.

Response

Successful Response
dataobject

Information about the response. For a complete list of properties, refer to the Response entry in the Postman Collection Format documentation.

metamap from strings to any

A Postman-specific response that contains information about the internal performed operation.

model_idstring
The response's ID.
revisiondouble
An internal revision ID. Its value increments each time the resource changes. You can use this ID to track whether there were changes since the last time you fetched the resource.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error